<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="73" style="background-color: #E5E6DE; background-image: url('images/menu_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/menu_l.jpg'); background-repeat: no-repeat;">
				<tr>
					<td style="padding: 21px 42px 0 42px; background-image: url('images/menu_r.jpg'); background-position: right; background-repeat: no-repeat;">
						<!-- MENU -->
							<table cellpadding="0" cellspacing="0" align="center">
								<tr>
									<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
									<xsl:call-template name="TOP-MENU"/>
									<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
								</tr>
							</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="226">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/header_l.jpg" border="0" alt=""/></td>
					<td width="100%" style="background-image: url('images/header_bg.jpg');">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
							<tr>
								<td style="padding: 0 35px 0 25px; background-image: url('images/txtheader_bg.gif'); background-position: bottom right; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 226px;">
										<tr valign="bottom">
											<td width="100%" style="padding-bottom: 10px;">
												<!-- LOGO -->
												<table cellpadding="0" cellspacing="0">
													<tr>
														<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 10px;"/></a></td>
														<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
													</tr>
													<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
												</table>
												<!-- END LOGO -->
											</td>
											<td>
												<table cellpadding="0" cellspacing="0" border="0" align="right">
													<tr>
														<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
														<td style="padding-left: 10px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
													</tr>
												</table>
												<div style="width:165px; height:0px;"><span></span></div>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td><img src="images/header_r.jpg" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td><img src="images/lbg.jpg" border="0" alt="" width="43"/></td>
					<td style="padding: 25px 4px 25px 0; background-color: #F2F2F2; background-image: url('images/submenu_bg.jpg'); background-repeat: no-repeat;">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="130" align="right">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>
						<!-- END SUBMENU -->
						<div style="width:155px; height:0px;"><span></span></div>
					</td>
					<td style="background-color: #E5E6DE; background-image: url('images/mbg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 55px; height: 100%;">
							<tr><td valign="top"><img src="images/mbg_t.jpg" border="0" alt=""/></td></tr>
							<tr><td valign="bottom"><img src="images/mbg_b.jpg" border="0" alt=""/></td></tr>
						</table>
					</td>
					<td width="100%" style="background-color: #E5E6DE; background-image: url('images/bg_t.gif'); background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_br.gif'); background-position: bottom right; background-repeat: no-repeat;">
							<tr>
								<td valign="top" class="pageContent" style="padding: 20px 40px 10px 10px;">
									<!-- CONTENT -->
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<!-- END CONTENT -->
								</td>
							</tr>
						</table>
					</td>
					<td style="background-image: url('images/rbg.jpg');"><img src="images/rbg_t.jpg" border="0" alt="" width="43"/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="102" style="background-image: url('images/footer_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/footer_r.jpg'); background-position: right; background-repeat: no-repeat;">
				<tr>
					<td style="padding: 15px 42px 0 42px; background-image: url('images/footer_l.jpg'); background-position: left; background-repeat: no-repeat;">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
								<xsl:call-template name="BOTTOM-MENU"/>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-color: #D9D9D9;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
