<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="main-bg" bgcolor="#ffffff">
  <tr>
    <td height="20"></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
    <td width="20" height="76"><div style="width:20px;height:20px"></div></td>
        <td width="100%" align="left">
		<table  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="52" align="right" valign="middle"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              <td width="150" style="padding-left:10px"><span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span></td>
              <td width="1" bgcolor="#CCCCCC"></td>
              <td width="150" style="padding-left:10px"><span class="submenu"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></td>
            </tr>
        </table>
		</td>
        <td width="225" valign="bottom" align="left">
		<div style="width:225px;height:1px"></div>
		<img src="images/tcolor.gif"  width="75" height="75" border="0" alt=""/>
		</td>
    <td width="20"><div style="width:20px;height:20px"></div></td>
      </tr>
      <tr>
        <td width="10"></td>
        <td width="100%" height="100%" align="right" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="75" height="148"></td>
              <td background="images/headers_bg.gif"><div align="right"><img src="images/header.jpg" width="420" height="148" alt=""/></div></td>
            </tr>
            <tr>
              <td valign="top" ><img src="images/01.gif" width="75" height="75"/></td>
              <td width="100%" height="100%"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
                  <tr>
                    <td width="100%" height="100%" valign="top" bgcolor="#FFFFFF" style="padding: 25px;"><!-- CONTENT -->
                        <table cellpadding="0" cellspacing="0" border="0" style="margin-bottom:10px ">
                          <tr>
                            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            <td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                          </tr>
                        </table>
                        <div style="width:0px; height:15px;"><span></span></div>
                        <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td width="100%" height="100%" class="pageContent" name="SB_stretch" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                  </tr>
              </table></td>
            </tr>
        </table></td>
        <td width="225" valign="top"><table width="225"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td valign="top"><table width="100%" height="224"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td valign="top" bgcolor="#FF9600"><table width="100%"  border="0" cellpadding="5" cellspacing="0" bgcolor="#FF9600" style="margin-bottom:20px ">
                        <tr>
                          <td height="20" align="right"></td>
                          <td></td>
                        </tr>
                        <xsl:call-template name="TOP-MENU"/>
                    </table></td>
                  </tr>
              </table></td>
              <td width="75" valign="top" ><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="150" bgcolor="#FF9600"><img src="images/bj.gif" width="1" height="1"/><img src="images/01.gif" width="75" height="75"/></td>
                  </tr>
              </table></td>
            </tr>
          </table>
            <table width="225"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td valign="top" width="150"><table width="100%"  border="0" cellspacing="0" cellpadding="0" style="margin-bottom:20px ">
                    <tr>
                      <td>
					    <br/><xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template> 
					  </td>
                    </tr>
                </table></td>
                <td width="75" valign="top"  style="border-top:#D8ECC7 75px solid"><img src="images/bj.gif" width="1" height="1"/></td>
              </tr>
          </table></td>
        <td width="13"></td>
      </tr>
      <tr bgcolor="#EDEDED">
        <td></td>
        <td height="65" colspan="2"><table width="100%"  border="0" cellspacing="4" cellpadding="0">
            <tr>
              <td><span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span></td>
            </tr>
        </table></td>
        <td></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<table width="100%"  border="0" cellspacing="0">
<tr>
	<td align="center" width="50">
	<img src="images/submenu_bullet.gif"/></td>
	<td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
</table>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<table width="100%"  border="0" cellspacing="0">
  <tr>
	<td align="center" width="50"><img src="images/submenu_bullet.gif"/></td>
	<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
  </tr>
</table>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr>
	<td height="10" colspan="2"></td>
</tr>
</table>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr bgcolor="#eeeeee">
	<td height="1" colspan="2"></td>
</tr>
</table>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr>
	<td height="10" colspan="2"></td>
</tr>
</table>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
                  <td><div align="center"><a href="{@HREF}"  class="menu3"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
			</xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
                  <td class="menu3" style="font-weight:bold"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
           </xsl:when>
           <xsl:otherwise>
                  <td><div align="center"><a href="{@HREF}"  class="menu3"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
